> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Create Invoices

> 
    Create multiple invoices atomically in a single transaction.

    All invoices are created within a single database transaction. If any invoice creation fails,
    all invoices are rolled back and no invoices are created.

    This endpoint validates all invoices before creating any of them, ensuring data integrity.
    



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /coa/api/v1/invoice/bulk-create
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/v1/invoice/bulk-create:
    post:
      tags:
        - Accounts Receivable
      summary: Bulk Create Invoices
      description: |2-

            Create multiple invoices atomically in a single transaction.

            All invoices are created within a single database transaction. If any invoice creation fails,
            all invoices are rolled back and no invoices are created.

            This endpoint validates all invoices before creating any of them, ensuring data integrity.
            
      operationId: bulk_create_invoices
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkCreateInvoices'
            examples:
              ExampleRequest:
                value:
                  invoices:
                    - invoice_date: '2025-05-06'
                      item_date: '2025-05-06'
                      due_date: '2025-06-05'
                      entity: 1
                      client: 123
                      currency: USD
                      payment_term: 1
                      lines:
                        - product: 456
                          quantity: 1
                          rate: 1000
                          amount: 1000
                          service_date: '2025-05-06'
                          description: Monthly subscription
                    - invoice_date: '2025-06-06'
                      item_date: '2025-06-06'
                      due_date: '2025-07-06'
                      entity: 1
                      client: 123
                      currency: USD
                      payment_term: 1
                      lines:
                        - product: 456
                          quantity: 1
                          rate: 1000
                          amount: 1000
                          service_date: '2025-06-06'
                          description: Monthly subscription
                summary: Example Request
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/BulkCreateInvoices'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/BulkCreateInvoices'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccountingInvoice'
              examples:
                ExampleResponse:
                  value:
                    - - id: 1001
                        invoice_number: INV-20250506-001
                        invoice_date: '2025-05-06'
                        due_date: '2025-06-05'
                        total_amount: '1000.00'
                        amount_due: '1000.00'
                        status: open
                      - id: 1002
                        invoice_number: INV-20250606-001
                        invoice_date: '2025-06-06'
                        due_date: '2025-07-06'
                        total_amount: '1000.00'
                        amount_due: '1000.00'
                        status: open
                  summary: Example Response
          description: ''
        '400':
          description: No response body
      security:
        - knoxApiToken: []
components:
  schemas:
    BulkCreateInvoices:
      type: object
      description: Serializer for bulk invoice creation. Accepts a list of invoice data.
      properties:
        invoices:
          type: array
          items:
            type: object
            additionalProperties: {}
          description: >-
            List of invoice data dictionaries matching
            AccountingInvoiceSerializer structure
          minItems: 1
      required:
        - invoices
    AccountingInvoice:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        lines:
          type: array
          items:
            $ref: '#/components/schemas/AccountingInvoiceLine'
        emails:
          type: array
          items:
            type: object
            additionalProperties: {}
          readOnly: true
        payments:
          type: array
          items:
            $ref: '#/components/schemas/AccountingInvoicePayment'
          readOnly: true
        related_journal_entries:
          type: array
          items:
            $ref: '#/components/schemas/AccountingInvoiceJournalEntry'
          readOnly: true
        payment_journal_entries:
          type: array
          items:
            type: integer
          readOnly: true
        journal_entry_intercompany:
          type: string
          readOnly: true
        client_name:
          type: string
          readOnly: true
        client_email:
          type: string
          readOnly: true
        client_invoice_message:
          type: string
          readOnly: true
        client_use_stripe_auto_bill:
          type: boolean
          readOnly: true
        status:
          type: string
          readOnly: true
        past_due_days:
          type: integer
          nullable: true
          readOnly: true
        entity_name:
          type: string
          readOnly: true
        entity_currency:
          type: string
          readOnly: true
        entity_invoice_message:
          type: string
          readOnly: true
          nullable: true
        total_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        amount_paid:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        amount_due:
          type: number
          format: double
          readOnly: true
        contract_name:
          type: string
          readOnly: true
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/File'
          readOnly: true
        invoice_number:
          type: string
        stripe_connection_name:
          type: string
          readOnly: true
        stripe_connection_entity:
          type: integer
          readOnly: true
        stripe_connection_billing_portal_enabled:
          type: boolean
          readOnly: true
        avalara_connection_name:
          type: string
          readOnly: true
        avalara_connection_company:
          type: string
          readOnly: true
        tax_rate_name:
          type: string
          readOnly: true
        tax_rate_value:
          type: number
          format: double
          maximum: 1000000
          minimum: -1000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        payment_term_name:
          type: string
          readOnly: true
        revenue_transactions:
          type: array
          items:
            type: integer
        item_date:
          type: string
          format: date
          nullable: true
        migrated_journal_id:
          type: integer
          writeOnly: true
          nullable: true
        voided_journal_entry_order:
          type: integer
          nullable: true
          readOnly: true
        contract_custom_fields:
          type: array
          items:
            type: object
            additionalProperties:
              oneOf:
                - type: string
                - type: boolean
                - type: array
                  items: {}
          readOnly: true
        department:
          type: integer
          writeOnly: true
          nullable: true
        department_name:
          type: string
          writeOnly: true
          nullable: true
        tags:
          type: array
          items:
            type: integer
          writeOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        chat_uuid:
          type: string
          format: uuid
          writeOnly: true
        search_vector:
          type: string
          readOnly: true
          nullable: true
        search_text:
          type: string
          readOnly: true
          nullable: true
        auto_send_invoice:
          type: boolean
          nullable: true
        auto_send_invoice_at:
          type: string
          format: date
          nullable: true
        auto_sent_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        reminder_sent_dates:
          description: >-
            Dictionary tracking when reminders were sent for each day overdue
            (e.g., {'5': '2024-01-15', '10': '2024-01-20'})
        pre_due_reminder_sent_dates:
          description: >-
            Dictionary tracking when pre-due reminders were sent for each day
            before due date (e.g., {'3': '2024-01-10', '7': '2024-01-06'})
        billing_address:
          type: string
          nullable: true
        billing_addressee:
          type: string
          nullable: true
          maxLength: 255
        shipping_address:
          type: string
          nullable: true
        shipping_addressee:
          type: string
          nullable: true
          maxLength: 255
        terms:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/TermsEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        ref_number:
          type: string
          nullable: true
          title: Reference Number
          maxLength: 120
        purchase_order_number:
          type: string
          nullable: true
          maxLength: 120
        invoice_date:
          type: string
          format: date
        due_date:
          type: string
          format: date
        shipping_date:
          type: string
          format: date
          nullable: true
        paid_date:
          type: string
          format: date
          nullable: true
        uncollectible_date:
          type: string
          format: date
          nullable: true
        sent_date:
          type: string
          format: date
          readOnly: true
          nullable: true
        period_start:
          type: string
          format: date
          nullable: true
        period_end:
          type: string
          format: date
          nullable: true
        location_of_sale:
          type: string
          nullable: true
        message_on_invoice:
          type: string
          nullable: true
        ita_allocation_number:
          type: string
          nullable: true
          pattern: ^\d{9}$
          maxLength: 9
        payment_status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PaymentStatusCdcEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        anrok_transaction_id:
          type: string
          nullable: true
          description: ID of the transaction in Anrok (set when transaction is created)
          maxLength: 255
        warning_message:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        currency:
          type: string
          maxLength: 3
        exchange_rate:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        exchange_rate_book:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        last_sent_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        integration_id:
          type: string
          nullable: true
          maxLength: 250
        integration_context:
          nullable: true
        vat_number:
          type: string
          nullable: true
          maxLength: 250
        discount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
          description: Discount amount for the invoice
        payment_term_applied_discount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
          description: Discount amount applied based on payment term early payment discount
        use_stripe_auto_bill:
          type: boolean
          nullable: true
        stripe_payment_link_id:
          type: string
          nullable: true
          maxLength: 500
        stripe_payment_intent_id:
          type: string
          nullable: true
          maxLength: 500
        stripe_invoice_id:
          type: string
          nullable: true
          maxLength: 500
        stripe_pdf_url:
          type: string
          nullable: true
          maxLength: 500
        stripe_payment_link:
          type: string
          nullable: true
          maxLength: 500
        source:
          type: string
          nullable: true
          maxLength: 250
        source_id:
          type: string
          nullable: true
        is_migrated:
          type: boolean
          description: >-
            True for invoices imported via opening balance migration (no
            finalization JE).
        voided_date:
          type: string
          format: date
          nullable: true
        invoice_labels:
          nullable: true
        invoice_language:
          type: string
          nullable: true
          maxLength: 10
        chat_id:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        customer:
          type: integer
          readOnly: true
        entity:
          type: integer
        client:
          type: integer
          nullable: true
        payment_term:
          type: integer
          nullable: true
        bad_debt_journal_entry:
          type: integer
          nullable: true
          readOnly: true
        journal_entry:
          type: integer
          nullable: true
          readOnly: true
        ar_account:
          type: integer
          readOnly: true
          nullable: true
          description: >-
            Accounts Receivable account for this invoice. Populated for
            single-AR and migrated invoices. NULL for multi-AR invoices (aging
            uses ChartTransactions instead).
        voided_journal_entry:
          type: integer
          nullable: true
          readOnly: true
        entity_transfer_journal_entry:
          type: integer
          nullable: true
          readOnly: true
        contract:
          type: integer
          nullable: true
        avalara_connection:
          type: integer
          nullable: true
        sphere_connection:
          type: integer
          nullable: true
        anrok_connection:
          type: integer
          nullable: true
        tax_rate:
          type: integer
          nullable: true
        stripe_connection:
          type: integer
          nullable: true
        source_file:
          type: integer
          nullable: true
      required:
        - amount_due
        - amount_paid
        - ar_account
        - attachments
        - auto_sent_at
        - avalara_connection_company
        - avalara_connection_name
        - bad_debt_journal_entry
        - client_email
        - client_invoice_message
        - client_name
        - client_use_stripe_auto_bill
        - contract_custom_fields
        - contract_name
        - created_at
        - customer
        - deleted_at
        - due_date
        - emails
        - entity
        - entity_currency
        - entity_invoice_message
        - entity_name
        - entity_transfer_journal_entry
        - id
        - invoice_date
        - is_deleted
        - journal_entry
        - journal_entry_intercompany
        - last_modified_at
        - last_sent_at
        - lines
        - past_due_days
        - payment_journal_entries
        - payment_term_name
        - payments
        - related_journal_entries
        - search_text
        - search_vector
        - sent_date
        - status
        - stripe_connection_billing_portal_enabled
        - stripe_connection_entity
        - stripe_connection_name
        - tax_rate_name
        - tax_rate_value
        - total_amount
        - voided_journal_entry
        - voided_journal_entry_order
    AccountingInvoiceLine:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        invoice:
          type: integer
          writeOnly: true
        product_name:
          type: string
          readOnly: true
        product_bundle_name:
          type: string
          readOnly: true
        stripe_product_id:
          type: string
          readOnly: true
        product_is_taxable:
          type: boolean
          readOnly: true
        anrok_item_id:
          type: string
          readOnly: true
        sphere_item_id:
          type: string
          readOnly: true
        service_date:
          type: string
          format: date
          nullable: true
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TransactionTag'
          readOnly: true
        department_name:
          type: string
          readOnly: true
        department_code:
          type: string
          readOnly: true
        description:
          type: string
          nullable: true
        quantity:
          type: number
          format: double
          maximum: 10000000000000000
          minimum: -10000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        rate:
          type: number
          format: double
          maximum: 10000000000000
          minimum: -10000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        currency:
          type: string
          maxLength: 3
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        tax:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        tax_description:
          type: string
          nullable: true
          maxLength: 250
        entity_use_code:
          type: string
          nullable: true
          description: Avalara entity/use code for line-level tax exemptions
          maxLength: 25
        discount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          description: Discount amount in currency
        discount_percentage:
          type: number
          format: double
          maximum: 1000
          minimum: -1000
          exclusiveMaximum: true
          exclusiveMinimum: true
          description: Discount percentage (0-100)
        discount_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          description: Discount amount calculated from percentage
        tag_ids:
          type: array
          items:
            type: integer
            maximum: 9223372036854776000
            minimum: -9223372036854776000
            format: int64
        tag_group_ids:
          type: array
          items:
            type: integer
            maximum: 9223372036854776000
            minimum: -9223372036854776000
            format: int64
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        product:
          type: integer
          nullable: true
        product_bundle:
          type: integer
          nullable: true
        department:
          type: integer
          nullable: true
      required:
        - anrok_item_id
        - created_at
        - customer
        - department_code
        - department_name
        - id
        - last_modified_at
        - product_bundle_name
        - product_is_taxable
        - product_name
        - sphere_item_id
        - stripe_product_id
        - tags
    AccountingInvoicePayment:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        credit_memo:
          type: string
          readOnly: true
        payment_transaction_bank_description:
          type: string
          readOnly: true
        payment_journal_entry_order:
          type: string
          readOnly: true
        payment_intercompany_journal:
          type: string
          readOnly: true
        voided_journal_entry_order:
          type: string
          readOnly: true
        currency:
          type: string
          maxLength: 3
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        payment_date:
          type: string
          format: date
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        voided_date:
          type: string
          format: date
          nullable: true
        source:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/AccountingInvoicePaymentSourceEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        payment_type:
          readOnly: true
          nullable: true
          description: >-
            Type of payment: credit memo application, bank transaction, or
            manual transaction


            * `CREDIT_MEMO` - Credit Memo

            * `BANK_TRANSACTION` - Bank Transaction

            * `MANUAL_TRANSACTION` - Manual Transaction
          oneOf:
            - $ref: '#/components/schemas/PaymentTypeEnum'
            - $ref: '#/components/schemas/NullEnum'
        external_id:
          type: string
          nullable: true
          description: >-
            Stable upstream identifier for this payment (e.g. Stripe balance
            transaction 'btxn_...', Stripe credit note 'cn_...', or the mart's
            event external_id for customer-balance applications). Used as the
            natural dedup/idempotency key. Null for manually-entered payments.
          maxLength: 256
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        invoice:
          type: integer
        payment_journal_entry:
          type: integer
          nullable: true
        payment_transaction:
          type: integer
          nullable: true
        fx_gain_loss_realized_transaction:
          type: integer
          nullable: true
        payment_term_discount_transaction:
          type: integer
          nullable: true
        voided_journal_entry:
          type: integer
          nullable: true
        payment_transactions:
          type: array
          items:
            type: integer
      required:
        - created_at
        - credit_memo
        - customer
        - external_id
        - id
        - invoice
        - last_modified_at
        - payment_intercompany_journal
        - payment_journal_entry_order
        - payment_transaction_bank_description
        - payment_type
        - voided_journal_entry_order
    AccountingInvoiceJournalEntry:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        journal_entry:
          type: integer
          readOnly: true
        journal_entry_order:
          type: string
          readOnly: true
        journal_entry_date:
          type: string
          format: date
          readOnly: true
        journal_entry_memo:
          type: string
          readOnly: true
        type:
          allOf:
            - $ref: '#/components/schemas/AccountingInvoiceJournalEntryTypeEnum'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_at
        - id
        - journal_entry
        - journal_entry_date
        - journal_entry_memo
        - journal_entry_order
        - type
    File:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        customer:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        created_by:
          type: integer
          nullable: true
          readOnly: true
        created_by_name:
          type: string
          readOnly: true
        created_by_email:
          type: string
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        name:
          type: string
        url:
          type: string
          readOnly: true
        s3_content_type:
          type: string
          nullable: true
        s3_content_length:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        s3_path:
          type: string
        object_id:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        app:
          type: string
          readOnly: true
        model:
          type: string
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - app
        - created_at
        - created_by
        - created_by_email
        - created_by_name
        - customer
        - deleted_at
        - id
        - is_deleted
        - last_modified_at
        - model
        - name
        - s3_path
        - url
    TermsEnum:
      enum:
        - custom
        - net_5
        - net_7
        - net_10
        - net_15
        - net_20
        - net_30
        - net_40
        - net_45
        - net_60
        - net_90
        - net_105
        - net_120
        - due_on_receipt
      type: string
      description: |-
        * `custom` - Custom
        * `net_5` - Net 5
        * `net_7` - Net 7
        * `net_10` - Net 10
        * `net_15` - Net 15
        * `net_20` - Net 20
        * `net_30` - Net 30
        * `net_40` - Net 40
        * `net_45` - Net 45
        * `net_60` - Net 60
        * `net_90` - Net 90
        * `net_105` - Net 105
        * `net_120` - Net 120
        * `due_on_receipt` - Due on Receipt
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    PaymentStatusCdcEnum:
      enum:
        - draft
        - open
        - sent
        - partial
        - paid
        - uncollectible
        - voided
      type: string
      description: |-
        * `draft` - Draft
        * `open` - Open
        * `sent` - Sent
        * `partial` - Partially Paid
        * `paid` - Paid
        * `uncollectible` - Uncollectible
        * `voided` - Voided
    TransactionTag:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        group_name:
          type: string
          readOnly: true
        parent_name:
          type: string
          readOnly: true
          nullable: true
        parent:
          type: integer
          nullable: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        is_active:
          type: boolean
          default: true
        name:
          type: string
          nullable: true
          maxLength: 250
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        group:
          type: integer
          nullable: true
      required:
        - created_at
        - customer
        - deleted_at
        - group_name
        - id
        - is_deleted
        - last_modified_at
        - name
        - parent_name
    AccountingInvoicePaymentSourceEnum:
      enum:
        - STRIPE
        - MANUAL
      type: string
      description: |-
        * `STRIPE` - Stripe
        * `MANUAL` - Manual
    PaymentTypeEnum:
      enum:
        - CREDIT_MEMO
        - BANK_TRANSACTION
        - MANUAL_TRANSACTION
      type: string
      description: |-
        * `CREDIT_MEMO` - Credit Memo
        * `BANK_TRANSACTION` - Bank Transaction
        * `MANUAL_TRANSACTION` - Manual Transaction
    AccountingInvoiceJournalEntryTypeEnum:
      enum:
        - reclassification
        - adjustment
        - dispute
        - refund
        - refund_failure
        - fx_loss
        - recoverables
      type: string
      description: |-
        * `reclassification` - Reclassification
        * `adjustment` - Adjustment
        * `dispute` - Dispute
        * `refund` - Refund
        * `refund_failure` - Refund Failure
        * `fx_loss` - FX Loss
        * `recoverables` - Recoverables
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````